rpms/tclhttpd/devel tclhttpd.spec, NONE, 1.1 tclhttpd_fedora.1.patch, NONE, 1.1 .cvsignore, 1.1, 1.2 sources, 1.1, 1.2

Michael Thomas (wart) fedora-extras-commits at redhat.com
Sat Nov 26 00:23:07 UTC 2005


Author: wart

Update of /cvs/extras/rpms/tclhttpd/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv5073/devel

Modified Files:
	.cvsignore sources 
Added Files:
	tclhttpd.spec tclhttpd_fedora.1.patch 
Log Message:
auto-import tclhttpd-3.5.1-5 on branch devel from tclhttpd-3.5.1-5.src.rpm


--- NEW FILE tclhttpd.spec ---
%define contentdir %_var/www/tclhttpd
Name: tclhttpd
Version: 3.5.1
Release: 5%{?dist}
Summary: Extensible Web+Application server written in Tcl

Group: System Environment/Daemons
License: BSD
URL:            http://tclhttpd.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/tclhttpd/tclhttpd3.5.1.tar.gz
Patch0:		tclhttpd_fedora.1.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: tcl-devel autoconf
Requires: tcl tclx tcllib fedora-usermgmt
Requires(post): /sbin/chkconfig
Requires(post): /sbin/service
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

%description
TclHttpd is a Web server implemented in pure Tcl. It works out of the box as a
Web server, but is really designed to be a Tcl application server. It supports
HTML+Tcl templates, and is extensible in a variety of ways.

%prep
%setup -q -n %{name}%{version}
%patch -p1
# Needed to pick up the changes to tcl.m4 in the patch.
autoreconf

%build
%configure --with-serverroot=%{contentdir}
#make limit_LIB_FILE=liblimit.so crypt_LIB_FILE=libcrypt.so %{?_smp_mflags}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
# Override the names of the library files so that rpm does not try to think
# that this is a library package.
make install DESTDIR=$RPM_BUILD_ROOT
install -p -D bin/redhat.init.tclhttpd $RPM_BUILD_ROOT/%{_initrddir}/tclhttpd
mkdir -p $RPM_BUILD_ROOT%_var/run/tclhttpd

# Move some of the libraries around so that we don't pollute the libdir.
# Eventually this fix should be put into the Makefile.
mv $RPM_BUILD_ROOT%{_libdir}/liblimit1.0.so $RPM_BUILD_ROOT%{_libdir}/limit1.0/
mv $RPM_BUILD_ROOT%{_libdir}/libcrypt1.0.so $RPM_BUILD_ROOT%{_libdir}/crypt1.0/
sed -e 's# \.\. # . #' < limit_pkgIndex.tcl > $RPM_BUILD_ROOT%{_libdir}/limit1.0/pkgIndex.tcl
sed -e 's# \.\. # . #' < crypt_pkgIndex.tcl > $RPM_BUILD_ROOT%{_libdir}/crypt1.0/pkgIndex.tcl

# Replace the numeric id in this configuration file with a name.  We don't
# know what numeric id it will end up with when it's created during
# the rpm installation.  Move the tclhttpd.rc file to a configuration
# directory so that it doesn't pollute the bin directory.
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/%{name}
mkdir -p $RPM_BUILD_ROOT/%_var/log/tclhttpd

# Set the user that tclhttpd will run as.
# Set the group that tclhttpd will run as.
# Set the default log file location.
# Turn off the debug password authorization for security reasons.
#    It can be turned on manually if needed.
sed -e 's/Config uid.*/Config uid tclhttpd/' \
        -e 's/Config gid.*/Config gid tclhttpd/' \
        -e 's#Config LogFile.*#Config LogFile %_var/log/tclhttpd/log#' \
        -e 's/#Config Auth {}/Config Auth {}/' < bin/tclhttpd.rc > $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/tclhttpd.rc
sed -e 's/^Debug_Url.*/#&/' < bin/httpdthread.tcl > $RPM_BUILD_ROOT/%{_datadir}/%{name}%{version}/httpdthread.tcl

rm $RPM_BUILD_ROOT/%{_prefix}/bin/tclhttpd.rc
rm $RPM_BUILD_ROOT/%{_prefix}/bin/httpdthread.tcl
rm $RPM_BUILD_ROOT/%{contentdir}/tclhttpd.etc.init
# This cgi is precompiled and has some old libc dependencies.  It's been
# removed in the CVS head.  Until the next version is released, we remove
# it by hand here.
rm $RPM_BUILD_ROOT/%{contentdir}/htdocs/cgi-bin/env
mv $RPM_BUILD_ROOT/%{_prefix}/bin/httpd.tcl $RPM_BUILD_ROOT/%{_prefix}/bin/tclhttpd

# Fix some file permissions.
find $RPM_BUILD_ROOT/%{contentdir}/htdocs -type f -exec chmod a-x {} \;
find $RPM_BUILD_ROOT/%{contentdir}/custom -type f -exec chmod a-x {} \;
find $RPM_BUILD_ROOT/%{contentdir}/htdocs -name \*.cgi -exec chmod a+x {} \;
find $RPM_BUILD_ROOT/%{contentdir}/custom -name \*.cgi -exec chmod a+x {} \;

%pre
# The "tclhttpd" user is used so that we don't have to run the
# server as "root" or "nobody".
/usr/sbin/fedora-useradd 16 -c "Tclhttpd" -s /bin/false -r -d %{contentdir} tclhttpd

%post
/sbin/chkconfig --add tclhttpd

%preun
if [ "$1" = "0" ]; then
    /sbin/service tclhttpd stop > /dev/null 2>&1
    /sbin/chkconfig --del tclhttpd
    rm -f %_var/run/tclhttpd/tclhttpd.pid
    rm -f %_var/lock/subsys/tclhttpd
fi

%postun

if [ "$1" = "0" ]; then
    /usr/sbin/fedora-userdel tclhttpd
    rm -rf %_var/log/tclhttpd
elif [ "$1" -ge "1" ]; then
    /sbin/service tclhttpd restart >/dev/null 2>&1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.* WHATSNEW license.terms
%{_datadir}/%{name}%{version}
%{_bindir}/tclhttpd
%config(noreplace) %attr(-,tclhttpd,tclhttpd) %{_sysconfdir}/%{name}
%{_mandir}/man1/*
%config(noreplace) %contentdir
%attr(-,tclhttpd,tclhttpd) %{_var}/run/tclhttpd
%attr(-,tclhttpd,tclhttpd) %{_var}/log/tclhttpd
%{_initrddir}/tclhttpd
%{_libdir}/crypt1.0
%{_libdir}/limit1.0
%doc src/README

%changelog
* Tue Nov 22 2005 Wart <wart at kobold.org> - 3.5.1-5
- Move bin/httpdthread.tcl out of the bin directory.
* Sun Nov 20 2005 Wart <wart at kobold.org> - 3.5.1-4
- Use fedora_useradd/fedora_userdel to create/delete the tclhttpd user.
- Added BuildRequires: autoconf.
- Clean up file permissions to remove many rpmlint warnings.
* Thu Jul 7 2005 <wart at kobold.org> - 3.5.1-3
- Add 'restart' in the rpm postun stage.  Add post/preun requirements
  for /sbin/chkconfig and /sbin/service.
- Changed the default runlevel in the init script to '-' to prevent the
  service from being started by default.
* Thu Jun 30 2005 <wart at kobold.org> - 3.5.1-2
- Updated release tag to include %{dist}
- Don't include changes to the spec in the patchfile.
- run autoreconf in the prep stage, not the build stage.
* Fri Jun 17 2005 <wart at kobold.org> - 3.5.1-1
- Updated spec file to conform to Fedora Core 4 standards.
* Sat Nov 13 2004 <wart at kobold.org> - 3.5.1-0.fdr.8
- Change content directory again to prevent rpmlint warnings.
- Change ownership of content directory to prevent rpmlint warnings.
- Fixed rpmlint "incoherent subsys" warning.
- Move crypt and limit dynamically loadable modules into the proper
  subdirectories
- Turn off potentially insecure debug url.
* Sun Nov 7 2004 <wart at kobold.org> - 3.5.1-0.fdr.7
- Change content directory to /var/tclhttpd
- Move logs to /var/log/tclhttpd
- Remove the debug auth password.
* Wed Nov 3 2004 <wart at kobold.org> - 3.5.1-0.fdr.6
- Add missing #include <crypt.h> to crypt.c to fix a segfault on
  x86_64.
* Sat Oct 30 2004 <wart at kobold.org> - 3.5.1-0.fdr.5
- Add expect to the dependency list.
- Let tclhttpd fork into the background if either one of tclx
  or expect are available.
- Add existing docs to %doc list.
- Move configuration file to /etc/tclhttpd.
- Clean up some rpmlint warnings
* Sun Oct 24 2004 <wart at kobold.org> - 3.5.1-0.fdr.4
- Change package group in the specfile.  Add tcllib to dependency list.
  Remove tclhttpd user during uninstall.
* Wed Oct 6 2004 <wart at kobold.org> - 3.5.1-0.fdr.3
- Fix bug in the /etc/init.d/tclhttpd startup script that was causing
  it to kill a random tclsh process during shutdown, and misreporting
  the status of tclhttpd.
* Tue Sep 21 2004 <wart at kobold.org> - 3.5.1-0.fdr.2
- remove hardcoded path in the %build section of the rpm spec file.
* Sun Sep 12 2004 <wart at kobold.org> - 3.5.1-0.fdr.1
- Initial rpm with a Fedora-compatible spec file.  Included patch
  for better /etc/init.d script behaviour.

tclhttpd_fedora.1.patch:

--- NEW FILE tclhttpd_fedora.1.patch ---
diff -Naur --exclude '*.swp' --exclude tclhttpd.spec tclhttpd3.5.1/bin/httpd.tcl tclhttpd3.5.1.new/bin/httpd.tcl
--- tclhttpd3.5.1/bin/httpd.tcl	2004-05-18 22:44:28.000000000 -0700
+++ tclhttpd3.5.1.new/bin/httpd.tcl	2005-11-22 10:01:27.000000000 -0800
@@ -74,7 +74,10 @@
     set Config(lib) [file join $home ../lib]
 } else {
     # Hmm - see if Tcl can find it for us.
-    tcl_findLibrary tclhttpd $v $v version.tcl TCL_HTTPD_LIBRARY Config(lib)
+    if {[catch { tcl_findLibrary tclhttpd $v $v version.tcl TCL_HTTPD_LIBRARY Config(lib) } msg]} {
+        # Nope.  Try a reasonable default.
+        set Config(lib) [lindex $auto_path 0]
+    }
 }
 if {![info exist Config(lib)]} {
     error "Cannot find TclHttpd library in auto_path:\n[join $auto_path \n]"
@@ -191,6 +194,7 @@
         [list compat.arg       3.3	        {version compatibility to maintain}] \
         [list gui.arg           [cget gui]      {flag for launching the user interface}] \
         [list mail.arg           [cget MailServer]      {Mail Servers for sending email from tclhttpd}] \
+        [list daemon.arg        0      		   {Run in the background as a daemon process.  Requires either the 'Tclx' or 'Expect' package.}] \
     ]
 array set Config [cmdline::getoptions argv $CommandLineOptions \
     "usage: httpd.tcl options:"]
@@ -335,6 +339,31 @@
     SrvUI_Init "Tcl HTTPD $Httpd(version)"
 }
 Stderr $startup
+
+# Fork a child process if expect is present.
+if {$Config(daemon)} {
+    if {![catch {package require Expect}] || ![catch {package require Tclx}]} {
+        if {[fork]} {
+            exit
+        }
+    } else {
+        Stderr "Could not fork into the background:"
+        Stderr "    Either install one of Expect or Tclx, or try running"
+        Stderr "    tclhttpd in non-daemon mode."
+        Httpd_Shutdown
+        exit 1
+    }
+}
+    
+
+if {[catch {
+    set pidFileId [open [cget pidfile] w]
+    puts $pidFileId [pid]
+    close $pidFileId
+} msg]} {
+    Stderr "Could not write to pid file [cget pidfile]: $msg"
+}
+
 if {$Config(debug)} {
     if {[info commands "console"] == "console"} {
 	console show
diff -Naur --exclude '*.swp' --exclude tclhttpd.spec tclhttpd3.5.1/bin/redhat.init.tclhttpd tclhttpd3.5.1.new/bin/redhat.init.tclhttpd
--- tclhttpd3.5.1/bin/redhat.init.tclhttpd	1969-12-31 16:00:00.000000000 -0800
+++ tclhttpd3.5.1.new/bin/redhat.init.tclhttpd	2005-07-07 18:40:07.000000000 -0700
@@ -0,0 +1,169 @@
+#!/bin/sh
+#
+# /etc/init.d/tclhttpd - Start/Stop the tcl httpd server
+#
+# This file lives in slightly different locations on different platforms:
+# Solaris:
+# IRIX:
+#	/etc/init.d/tclhttpd
+# RedHat Linux:
+#	/etc/rc.d/init.d/tclhttpd
+# HPUX:
+#	/sbin/init.d/tclhttpd
+#
+# The script also needs links from peer directories named
+# rc2.d to start the server
+# (e.g., make rc2.d/S80tclhttpd a link to ../init.d/tclhttpd)
+# and in rc0.d to stop the server, create a link named rc0.d/K20tclhttpd
+#
+# The following two lines allow this script to be managed by Fedora's
+# chkconfig program.
+#
+# chkconfig: - 80 30
+# description: tclhttpd is a Tcl based web/application server.
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Modify the default status() function so that it works with
+# tclhttpd.  Unfortunately, the base name of the program (tclhttpd)
+# is not the same as what is found by running ps (tclsh /usr/bin/tclhttpd).
+status() {
+	local base=${1##*/}
+	local pid
+
+	# Test syntax.
+	if [ "$#" = 0 ] ; then
+		echo $"Usage: status {program}"
+		return 1
+	fi
+
+	if [ -f /var/run/$base/$base.pid ] ; then
+	        read pid < /var/run/$base/$base.pid
+		ps $pid | grep $base 2>&1 > /dev/null
+		running=$?
+		if [ "$running" = 0 ] ; then
+			echo $"$base (pid $pid) is running..."
+			return 0
+		fi
+
+	        if [ -n "$pid" ]; then
+	                echo $"$base dead but pid file exists"
+	                return 1
+	        fi
+	fi
+	# See if /var/lock/subsys/tclhttpd exists
+	if [ -f /var/lock/subsys/tclhttpd ]; then
+		echo $"$base dead but subsys locked"
+		return 2
+	fi
+	echo $"$base is stopped"
+	return 3
+}
+
+# A function to stop a program.
+killproc() {
+	RC=0
+	# Test syntax.
+	if [ "$#" -eq 0 ]; then
+		echo $"Usage: killproc {program} [signal]"
+		return 1
+	fi
+
+	notset=0
+	# check for second arg to be kill level
+	if [ -n "$2" ]; then
+		killlevel=$2
+	else
+		notset=1
+		killlevel="-9"
+	fi
+
+        # Save basename.
+        base=${1##*/}
+
+        # Find pid.
+	pid=
+	if [ -f /var/run/${base}/${base}.pid ]; then
+		local line p
+		read line < /var/run/$base/$base.pid
+		for p in $line ; do
+			[ -z "${p//[0-9]/}" -a -d "/proc/$p" ] && pid="$pid $p"
+		done
+	fi
+	if [ -z "$pid" ]; then
+		pid=`pidof -o $$ -o $PPID -o %PPID -x $1 || \
+			pidof -o $$ -o $PPID -o %PPID -x $base`
+	fi
+
+        # Kill it.
+        if [ -n "${pid:-}" ] ; then
+                [ "$BOOTUP" = "verbose" -a -z "$LSB" ] && echo -n "$base "
+		if [ "$notset" -eq "1" ] ; then
+		       if checkpid $pid 2>&1; then
+			   # TERM first, then KILL if not dead
+			   kill -TERM $pid
+			   usleep 100000
+			   if checkpid $pid && sleep 1 &&
+			      checkpid $pid && sleep 3 &&
+			      checkpid $pid ; then
+                                kill -KILL $pid
+				usleep 100000
+			   fi
+		        fi
+			checkpid $pid
+			RC=$?
+			[ "$RC" -eq 0 ] && failure $"$base shutdown" || success $"$base shutdown"
+			RC=$((! $RC))
+		# use specified level only
+		else
+		        if checkpid $pid; then
+	                	kill $killlevel $pid
+				RC=$?
+				[ "$RC" -eq 0 ] && success $"$base $killlevel" || failure $"$base $killlevel"
+			fi
+		fi
+	else
+	    failure $"$base shutdown"
+	    RC=1
+	fi
+
+        # Remove pid file if any.
+	if [ "$notset" = "1" ]; then
+            rm -f /var/run/$base.pid
+	fi
+	return $RC
+}
+
+prog="tclhttpd"
+base="tclhttpd"
+
+case $1 in 
+'start')
+        echo -n $"Starting $prog: "
+        ln -sf /var/run/tclhttpd/tclhttpd.pid /var/run/tclhttpd.pid
+	daemon --user tclhttpd $prog -daemon 1 -config /etc/tclhttpd/tclhttpd.rc -docRoot /var/www/tclhttpd/htdocs -library /var/www/tclhttpd/custom
+        RETVAL=$?
+        echo
+        [ $RETVAL = 0 ] && touch /var/lock/subsys/tclhttpd
+	;;
+'stop')
+	echo -n $"Stopping $prog: "
+	killproc $prog
+	RETVAL=$?
+        echo
+	[ $RETVAL = 0 ] && rm -f /var/lock/subsys/tclhttpd /var/run/tclhttpd.pid
+	;;
+'status')
+    status $prog
+    ;;
+'reload' | 'restart')
+	$0 stop
+	$0 start
+	;;
+*)
+	echo "usage: $0 {start|stop|status|restart}"
+	;;
+esac
+
+exit $RETVAL
diff -Naur --exclude '*.swp' --exclude tclhttpd.spec tclhttpd3.5.1/bin/tclhttpd.rc tclhttpd3.5.1.new/bin/tclhttpd.rc
--- tclhttpd3.5.1/bin/tclhttpd.rc	2004-05-06 02:34:23.000000000 -0700
+++ tclhttpd3.5.1.new/bin/tclhttpd.rc	2005-11-22 10:03:26.000000000 -0800
@@ -43,7 +43,7 @@
 # main - Main per-thread startup script.
 # The old way to customize the server was to modify this file directly.
 
-Config main		[file join [Config home] httpdthread.tcl]
+Config main		[file join [Config lib] httpdthread.tcl]
 
 # uid - the server executes as the following user ID.
 # If you have TclX available, these can be user names.
@@ -60,6 +60,11 @@
 
 Config gid		50
 
+# The name of the file that will contain the pid of the
+# main tclhttpd process.
+
+Config pidfile		/var/run/tclhttpd/tclhttpd.pid
+
 # host - the name of the server (i.e., www.yourcompany.com)
 # This should be fully qualified.
 
diff -Naur --exclude '*.swp' --exclude tclhttpd.spec tclhttpd3.5.1/config/tcl.m4 tclhttpd3.5.1.new/config/tcl.m4
--- tclhttpd3.5.1/config/tcl.m4	2002-02-06 16:59:49.000000000 -0800
+++ tclhttpd3.5.1.new/config/tcl.m4	2004-11-07 16:47:28.000000000 -0800
@@ -68,7 +68,8 @@
 
 	    # check in a few common install locations
 	    if test x"${ac_cv_c_tclconfig}" = x ; then
-		for i in `ls -d ${prefix}/lib 2>/dev/null` \
+		for i in `ls -d ${libdir} 2>/dev/null` \
+		        `ls -d ${prefix}/lib 2>/dev/null` \
 			`ls -d /usr/lib 2>/dev/null` \
 			`ls -d /usr/local/lib 2>/dev/null` ; do
 		    if test -f "$i/tclConfig.sh" ; then
@@ -161,7 +162,8 @@
 	    fi
 	    # check in a few common install locations
 	    if test x"${ac_cv_c_tkconfig}" = x ; then
-		for i in `ls -d ${prefix}/lib 2>/dev/null` \
+		for i in `ls -d ${libdir} 2>/dev/null` \
+		        `ls -d ${prefix}/lib 2>/dev/null` \
 			`ls -d /usr/lib 2>/dev/null` \
 			`ls -d /usr/local/lib 2>/dev/null` ; do
 		    if test -f "$i/tkConfig.sh" ; then
diff -Naur --exclude '*.swp' --exclude tclhttpd.spec tclhttpd3.5.1/lib/utils.tcl tclhttpd3.5.1.new/lib/utils.tcl
--- tclhttpd3.5.1/lib/utils.tcl	2004-05-26 18:25:19.000000000 -0700
+++ tclhttpd3.5.1.new/lib/utils.tcl	2004-10-30 16:37:33.000000000 -0700
@@ -11,7 +11,7 @@
 # Stderr - print to standard error
 
 proc Stderr {string} {
-    catch {puts stderr $string}
+    catch {puts stderr "tclhttpd: $string"}
 }
 
 # iscommand - returns true if the command is defined  or lives in auto_index.
diff -Naur --exclude '*.swp' --exclude tclhttpd.spec tclhttpd3.5.1/Makefile.in tclhttpd3.5.1.new/Makefile.in
--- tclhttpd3.5.1/Makefile.in	2003-08-11 09:46:57.000000000 -0700
+++ tclhttpd3.5.1.new/Makefile.in	2004-11-12 19:47:16.000000000 -0800
@@ -310,11 +310,11 @@
 	$(INSTALL_DATA) $(srcdir)/bin/tclhttpd.etc.init $(DESTDIR)$(SERVER_ROOT)
 
 install-libraries: install-custom installdirs 
-	@echo "Installing script files in $(DESTDIR)$(pkglibdir)"
+	@echo "Installing script files in $(DESTDIR)$(pkgdatadir)"
 	@for i in $(srcdir)/lib/*.tcl ; do \
-	    $(INSTALL_SCRIPT) $$i $(DESTDIR)$(pkglibdir) ; \
+	    $(INSTALL_SCRIPT) $$i $(DESTDIR)$(pkgdatadir) ; \
 	done;
-	$(INSTALL_SCRIPT) $(srcdir)/lib/mime.types $(DESTDIR)$(pkglibdir)
+	$(INSTALL_SCRIPT) $(srcdir)/lib/mime.types $(DESTDIR)$(pkgdatadir)
 
 install-htdocs:
 	@echo "Creating htdocs tree in $(htdocsdir)"
@@ -342,7 +342,7 @@
 	$(INSTALL_DATA) $(srcdir)/bin/README_custom $(DESTDIR)$(SERVER_ROOT)
 
 installdirs:
-	$(mkinstalldirs) $(DESTDIR)$(pkglibdir) $(DESTDIR)$(cryptlibdir) $(DESTDIR)$(prefix)/bin $(DESTDIR)$(htdocsdir) $(DESTDIR)$(customdir)
+	$(mkinstalldirs) $(DESTDIR)$(pkglibdir) $(DESTDIR)$(pkgdatadir) $(DESTDIR)$(cryptlibdir) $(DESTDIR)$(prefix)/bin $(DESTDIR)$(htdocsdir) $(DESTDIR)$(customdir)
 
 clean:  
 	-test -z "$(BINARIES)" || rm -f $(BINARIES)
diff -Naur --exclude '*.swp' --exclude tclhttpd.spec tclhttpd3.5.1/src/crypt.c tclhttpd3.5.1.new/src/crypt.c
--- tclhttpd3.5.1/src/crypt.c	2004-04-26 08:53:38.000000000 -0700
+++ tclhttpd3.5.1.new/src/crypt.c	2004-11-03 18:49:35.000000000 -0800
@@ -13,6 +13,7 @@
 #include "tcl.h"
 #ifndef _WIN32
 #include "unistd.h"
+#include <crypt.h>
 #endif
 
 /*


Index: .cvsignore
===================================================================
RCS file: /cvs/extras/rpms/tclhttpd/devel/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- .cvsignore	26 Nov 2005 00:21:53 -0000	1.1
+++ .cvsignore	26 Nov 2005 00:23:05 -0000	1.2
@@ -0,0 +1 @@
+tclhttpd3.5.1.tar.gz


Index: sources
===================================================================
RCS file: /cvs/extras/rpms/tclhttpd/devel/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sources	26 Nov 2005 00:21:53 -0000	1.1
+++ sources	26 Nov 2005 00:23:05 -0000	1.2
@@ -0,0 +1 @@
+f48676606a8715312308f178ccd9289d  tclhttpd3.5.1.tar.gz




More information about the fedora-extras-commits mailing list